<?php

include 'framework/view/globalFunctions.php';

/**
 * This file is part of the Brim project.
 * The brim-project is located at the following
 * location: {@link http://www.brim-project.org/ http://www.brim-project.org/}
 *
 * <pre> Enjoy :-) </pre>
 *
 * @author Barry Nauta - May 2006
 * @package org.brim-project.plugins.passwords
 * @subpackage view
 *
 * @copyright [brim-project.org] - Copyright (c) 2003 - 2006 Barry Nauta
 *
 * @license http://opensource.org/licenses/gpl-license.php
 * The GNU Public License
 */

?>


<script type="text/javascript">

	/*
	 * A JavaScript implementation of the RSA Data Security, Inc.
	 * MD5 Message Digest Algorithm, as defined in RFC 1321.
	 * Version 2.1 Copyright (C) Paul Johnston 1999 - 2002.
	 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
	 * Distributed under the BSD License
	 * See http://pajhome.org.uk/crypt/md5 for more info.
	 *
	 * Modified by Chris Zarate (http://chris.zarate.org)
	 * to ignore subdomains.
	 */

	var hexcase=0;  /* hex output format. 0 - lowercase; 1 - uppercase */
	var chrsz=8;  /* bits per input character. 8 - ASCII; 16 - Unicode */

	function hex_md5(p) {
		return binl2hex(core_md5(str2binl(p),p.length*chrsz));
	}

	function core_md5(x,len){
		x[len>>5]|=0x80<<((len)%32);
		x[(((len+64)>>>9)<<4)+14]=len;
		var a=1732584193;
		var b=-271733879;
		var c=-1732584194;
		var d=271733878;
		for(var i=0;i<x.length;i+=16){
			var olda=a;
			var oldb=b;
			var oldc=c;
			var oldd=d;
			a=md5_ff(a,b,c,d,x[i+0],7,-680876936);
			d=md5_ff(d,a,b,c,x[i+1],12,-389564586);
			c=md5_ff(c,d,a,b,x[i+2],17,606105819);
			b=md5_ff(b,c,d,a,x[i+3],22,-1044525330);
			a=md5_ff(a,b,c,d,x[i+4],7,-176418897);
			d=md5_ff(d,a,b,c,x[i+5],12,1200080426);
			c=md5_ff(c,d,a,b,x[i+6],17,-1473231341);
			b=md5_ff(b,c,d,a,x[i+7],22,-45705983);
			a=md5_ff(a,b,c,d,x[i+8],7,1770035416);
			d=md5_ff(d,a,b,c,x[i+9],12,-1958414417);
			c=md5_ff(c,d,a,b,x[i+10],17,-42063);
			b=md5_ff(b,c,d,a,x[i+11],22,-1990404162);
			a=md5_ff(a,b,c,d,x[i+12],7,1804603682);
			d=md5_ff(d,a,b,c,x[i+13],12,-40341101);
			c=md5_ff(c,d,a,b,x[i+14],17,-1502002290);
			b=md5_ff(b,c,d,a,x[i+15],22,1236535329);
			a=md5_gg(a,b,c,d,x[i+1],5,-165796510);
			d=md5_gg(d,a,b,c,x[i+6],9,-1069501632);
			c=md5_gg(c,d,a,b,x[i+11],14,643717713);
			b=md5_gg(b,c,d,a,x[i+0],20,-373897302);
			a=md5_gg(a,b,c,d,x[i+5],5,-701558691);
			d=md5_gg(d,a,b,c,x[i+10],9,38016083);
			c=md5_gg(c,d,a,b,x[i+15],14,-660478335);
			b=md5_gg(b,c,d,a,x[i+4],20,-405537848);
			a=md5_gg(a,b,c,d,x[i+9],5,568446438);
			d=md5_gg(d,a,b,c,x[i+14],9,-1019803690);
			c=md5_gg(c,d,a,b,x[i+3],14,-187363961);
			b=md5_gg(b,c,d,a,x[i+8],20,1163531501);
			a=md5_gg(a,b,c,d,x[i+13],5,-1444681467);
			d=md5_gg(d,a,b,c,x[i+2],9,-51403784);
			c=md5_gg(c,d,a,b,x[i+7],14,1735328473);
			b=md5_gg(b,c,d,a,x[i+12],20,-1926607734);
			a=md5_hh(a,b,c,d,x[i+5],4,-378558);
			d=md5_hh(d,a,b,c,x[i+8],11,-2022574463);
			c=md5_hh(c,d,a,b,x[i+11],16,1839030562);
			b=md5_hh(b,c,d,a,x[i+14],23,-35309556);
			a=md5_hh(a,b,c,d,x[i+1],4,-1530992060);
			d=md5_hh(d,a,b,c,x[i+4],11,1272893353);
			c=md5_hh(c,d,a,b,x[i+7],16,-155497632);
			b=md5_hh(b,c,d,a,x[i+10],23,-1094730640);
			a=md5_hh(a,b,c,d,x[i+13],4,681279174);
			d=md5_hh(d,a,b,c,x[i+0],11,-358537222);
			c=md5_hh(c,d,a,b,x[i+3],16,-722521979);
			b=md5_hh(b,c,d,a,x[i+6],23,76029189);
			a=md5_hh(a,b,c,d,x[i+9],4,-640364487);
			d=md5_hh(d,a,b,c,x[i+12],11,-421815835);
			c=md5_hh(c,d,a,b,x[i+15],16,530742520);
			b=md5_hh(b,c,d,a,x[i+2],23,-995338651);
			a=md5_ii(a,b,c,d,x[i+0],6,-198630844);
			d=md5_ii(d,a,b,c,x[i+7],10,1126891415);
			c=md5_ii(c,d,a,b,x[i+14],15,-1416354905);
			b=md5_ii(b,c,d,a,x[i+5],21,-57434055);
			a=md5_ii(a,b,c,d,x[i+12],6,1700485571);
			d=md5_ii(d,a,b,c,x[i+3],10,-1894986606);
			c=md5_ii(c,d,a,b,x[i+10],15,-1051523);
			b=md5_ii(b,c,d,a,x[i+1],21,-2054922799);
			a=md5_ii(a,b,c,d,x[i+8],6,1873313359);
			d=md5_ii(d,a,b,c,x[i+15],10,-30611744);
			c=md5_ii(c,d,a,b,x[i+6],15,-1560198380);
			b=md5_ii(b,c,d,a,x[i+13],21,1309151649);
			a=md5_ii(a,b,c,d,x[i+4],6,-145523070);
			d=md5_ii(d,a,b,c,x[i+11],10,-1120210379);
			c=md5_ii(c,d,a,b,x[i+2],15,718787259);
			b=md5_ii(b,c,d,a,x[i+9],21,-343485551);
			a=safe_add(a,olda);
			b=safe_add(b,oldb);
			c=safe_add(c,oldc);
			d=safe_add(d,oldd);
		}
		return Array(a,b,c,d);
	}

	function md5_cmn(q,a,b,x,s,t) { return safe_add(bit_rol(safe_add(safe_add(a,q),safe_add(x,t)),s),b); }
	function md5_ff(a,b,c,d,x,s,t) { return md5_cmn((b&c)|((~b)&d),a,b,x,s,t); }
	function md5_gg(a,b,c,d,x,s,t) { return md5_cmn((b&d)|(c&(~d)),a,b,x,s,t); }
	function md5_hh(a,b,c,d,x,s,t) { return md5_cmn(b^c^d,a,b,x,s,t); }
	function md5_ii(a,b,c,d,x,s,t) { return md5_cmn(c^(b|(~d)),a,b,x,s,t); }

	function safe_add(x,y) {
		var lsw=(x&0xFFFF)+(y&0xFFFF);
		var msw=(x>>16)+(y>>16)+(lsw>>16);
		return (msw<<16)|(lsw&0xFFFF);
	}

	function bit_rol(num,cnt) { return (num<<cnt)|(num>>>(32-cnt)); }

	function str2binl(str) {
		var bin=Array();
		var mask=(1<<8)-1;
		for(var i=0;i<str.length*8;i+=8) bin[i>>5]|=(str.charCodeAt(i/8)&mask)<<(i%32);
		return bin;
	}

	function binl2hex(binarray) {
		var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
		var str='';
		for(var i=0;i<binarray.length*4;i++) {
			str+=hex_tab.charAt((binarray[i>>2]>>((i%4)*8+4))&0xF)+hex_tab.charAt((binarray[i>>2]>>((i%4)*8))&0xF);
		}
		return str;
	}

	function doIt() {
		host=document.generator.site.value;
		p=document.generator.master.value;

		host=host.replace('http:\/\/','');
		host=host.replace('https:\/\/','');
		re=new RegExp("([^/]+)");
		host=host.match(re)[1];
		host=host.split('.');

		if(host[2]!=null) {
			s=host[host.length-2]+'.'+host[host.length-1];
			domains='ab.ca|ac.ac|ac.at|ac.be|ac.cn|ac.il|ac.in|ac.jp|ac.kr|ac.nz|ac.th|ac.uk|ac.za|adm.br|adv.br|agro.pl|ah.cn|aid.pl|alt.za|am.br|arq.br|art.br|arts.ro|asn.au|asso.fr|asso.mc|atm.pl|auto.pl|bbs.tr|bc.ca|bio.br|biz.pl|bj.cn|br.com|cn.com|cng.br|cnt.br|co.ac|co.at|co.il|co.in|co.jp|co.kr|co.nz|co.th|co.uk|co.za|com.au|com.br|com.cn|com.ec|com.fr|com.hk|com.mm|com.mx|com.pl|com.ro|com.ru|com.sg|com.tr|com.tw|cq.cn|cri.nz|de.com|ecn.br|edu.au|edu.cn|edu.hk|edu.mm|edu.mx|edu.pl|edu.tr|edu.za|eng.br|ernet.in|esp.br|etc.br|eti.br|eu.com|eu.lv|fin.ec|firm.ro|fm.br|fot.br|fst.br|g12.br|gb.com|gb.net|gd.cn|gen.nz|gmina.pl|go.jp|go.kr|go.th|gob.mx|gov.br|gov.cn|gov.ec|gov.il|gov.in|gov.mm|gov.mx|gov.sg|gov.tr|gov.za|govt.nz|gs.cn|gsm.pl|gv.ac|gv.at|gx.cn|gz.cn|hb.cn|he.cn|hi.cn|hk.cn|hl.cn|hn.cn|hu.com|idv.tw|ind.br|inf.br|info.pl|info.ro|iwi.nz|jl.cn|jor.br|jpn.com|js.cn|k12.il|k12.tr|lel.br|ln.cn|ltd.uk|mail.pl|maori.nz|mb.ca|me.uk|med.br|med.ec|media.pl|mi.th|miasta.pl|mil.br|mil.ec|mil.nz|mil.pl|mil.tr|mil.za|mo.cn|muni.il|nb.ca|ne.jp|ne.kr|net.au|net.br|net.cn|net.ec|net.hk|net.il|net.in|net.mm|net.mx|net.nz|net.pl|net.ru|net.sg|net.th|net.tr|net.tw|net.za|nf.ca|ngo.za|nm.cn|nm.kr|no.com|nom.br|nom.pl|nom.ro|nom.za|ns.ca|nt.ca|nt.ro|ntr.br|nx.cn|odo.br|on.ca|or.ac|or.at|or.jp|or.kr|or.th|org.au|org.br|org.cn|org.ec|org.hk|org.il|org.mm|org.mx|org.nz|org.pl|org.ro|org.ru|org.sg|org.tr|org.tw|org.uk|org.za|pc.pl|pe.ca|plc.uk|ppg.br|presse.fr|priv.pl|pro.br|psc.br|psi.br|qc.ca|qc.com|qh.cn|re.kr|realestate.pl|rec.br|rec.ro|rel.pl|res.in|ru.com|sa.com|sc.cn|school.nz|school.za|se.com|se.net|sh.cn|shop.pl|sk.ca|sklep.pl|slg.br|sn.cn|sos.pl|store.ro|targi.pl|tj.cn|tm.fr|tm.mc|tm.pl|tm.ro|tm.za|tmp.br|tourism.pl|travel.pl|tur.br|turystyka.pl|tv.br|tw.cn|uk.co|uk.com|uk.net|us.com|uy.com|vet.br|web.za|web.com|www.ro|xj.cn|xz.cn|yk.ca|yn.cn|za.com';
			domains=domains.split('|');
			for(var i=0;i<domains.length;i++) {
				if(s==domains[i]) {
					s=host[host.length-3]+'.'+s;
					break;
				}
			}
		} else {
			s=host.join('.');
		}

		document.generator.password.value=hex_md5(p+':'+s).substr(0,8);
		document.generator.password.focus()
	}

</script>

<h2>
	<?php echo $dictionary['generatePassword'] ?>
</h2>

<form class="callout" name="generator" method="GET"
	onSubmit="doIt();return false;"
>
<table>
<?php
		$parameters['errors'][]='noServerCommunicationUsed';
		echo standardTableRowErrorMessages
			($dictionary, $parameters['errors'], $icons);
?>
<tr>
	<td><strong><?php echo $dictionary['masterPassword'] ?></strong></td>
	<td><input name="master" type="password" /></td>
</tr>
<tr>
	<td><strong><?php echo $dictionary['siteUrl'] ?></strong></td>
	<td><input name="site" /></td>
</tr>
<tr>
	<td><strong><?php echo $dictionary['generatedPassword'] ?></strong></td>
	<td><input name="password" readonly="readonly" /></td>
</tr>
</table>
<input type="submit" value="<?php echo $dictionary['generate'] ?>"/>
</form>
<script type="text/javascript">document.generator.master.focus()</script>
<?php echo $dictionary['credits'] ?>