CREATE TABLE `brim_admin` (
  `name` char(70) NOT NULL default '',
  `value` char(50) default NULL,
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;
INSERT INTO `brim_admin` VALUES ('allow_account_creation','0'),('installation_path',''),('admin_email',''),('brim_version','1.2.3');
CREATE TABLE `brim_bookmarks` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` tinyint(1) default NULL,
  `name` text,
  `description` text,
  `visibility` varchar(10) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` tinyint(1) default NULL,
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `when_visited` datetime default NULL,
  `locator` text,
  `visit_count` int(11) default '0',
  `favicon` text,
  PRIMARY KEY  (`item_id`),
  KEY `item_id` (`item_id`),
  KEY `brim_bookmarks_index` (`owner`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_calendar_event` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` tinyint(1) default '0',
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `visibility` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` tinyint(1) default '0',
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `location` text,
  `organizer` text,
  `priority` tinyint(1) default NULL,
  `frequency` text,
  `event_interval` tinyint(1) default '0',
  `by_what` text,
  `by_what_value` text,
  `event_start_date` datetime default NULL,
  `event_end_date` datetime default NULL,
  `event_recurring_end_date` datetime default NULL,
  `event_colour` text,
  PRIMARY KEY  (`item_id`),
  KEY `item_id` (`item_id`),
  KEY `brim_calendar_event_index` (`owner`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_calendar_event_reminder` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) default '0',
  `is_parent` int(11) default '0',
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `visibility` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` int(11) default '0',
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `event_id` int(11) NOT NULL default '0',
  `timespan` char(1) default 'm',
  `reminder_time` int(11) default '0',
  `when_sent` datetime default NULL,
  PRIMARY KEY  (`item_id`),
  KEY `item_id` (`item_id`),
  KEY `brim_calendar_event_reminder_index` (`owner`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_contacts` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` tinyint(1) default NULL,
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `visibility` varchar(25) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` tinyint(1) default NULL,
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `alias` varchar(70) default NULL,
  `address` varchar(255) default NULL,
  `birthday` datetime default NULL,
  `mobile` varchar(25) default NULL,
  `faximile` varchar(25) default NULL,
  `tel_home` varchar(25) default NULL,
  `tel_work` varchar(25) default NULL,
  `organization` varchar(70) default NULL,
  `org_address` varchar(255) default NULL,
  `job` varchar(70) default NULL,
  `email1` varchar(70) default NULL,
  `email2` varchar(70) default NULL,
  `email3` varchar(70) default NULL,
  `webaddress1` varchar(70) default NULL,
  `webaddress2` varchar(70) default NULL,
  `webaddress3` varchar(70) default NULL,
  PRIMARY KEY  (`item_id`),
  KEY `itemId` (`item_id`),
  KEY `brim_contacts_index` (`owner`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_item_participation` (
  `item_id` int(11) NOT NULL default '0',
  `owner` char(50) NOT NULL default '',
  `participator` char(15) NOT NULL default '',
  `plugin` char(15) NOT NULL default '',
  `participation_rights` char(2) default NULL,
  `activation_code` char(50) NOT NULL default '',
  PRIMARY KEY  (`item_id`,`owner`,`participator`,`plugin`)
) TYPE=MyISAM;
CREATE TABLE `brim_notes` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` tinyint(1) default NULL,
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `visibility` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` tinyint(1) NOT NULL default '0',
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `position` varchar(70) NOT NULL default '',
  PRIMARY KEY  (`item_id`),
  KEY `itemId` (`item_id`),
  KEY `brim_notes_index` (`owner`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_passwords` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` tinyint(1) default NULL,
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `visibility` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` tinyint(1) default NULL,
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `login` text NOT NULL,
  `password` text NOT NULL,
  `url` text NOT NULL,
  PRIMARY KEY  (`item_id`),
  KEY `itemId` (`item_id`),
  KEY `brim_password_index` (`owner`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_plugin_settings` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` int(11) default '0',
  `name` text NOT NULL,
  `description` text,
  `visibility` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` int(11) default '0',
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `value` varchar(50) default NULL,
  PRIMARY KEY  (`item_id`),
  KEY `item_id` (`item_id`)
) TYPE=MyISAM AUTO_INCREMENT=7;
INSERT INTO `brim_plugin_settings` VALUES (1,'admin',0,0,'bookmarks',NULL,'private',NULL,0,NULL,NULL,'true'),(2,'admin',0,0,'calendar',NULL,'private',NULL,0,NULL,NULL,'true'),(3,'admin',0,0,'contacts',NULL,'private',NULL,0,NULL,NULL,'true'),(4,'admin',0,0,'notes',NULL,'private',NULL,0,NULL,NULL,'true'),(5,'admin',0,0,'passwords',NULL,'private',NULL,0,NULL,NULL,'true'),(6,'admin',0,0,'tasks',NULL,'private',NULL,0,NULL,NULL,'true');
CREATE TABLE `brim_tasks` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` tinyint(1) default NULL,
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `visibility` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` tinyint(1) default '0',
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `priority` int(11) NOT NULL default '0',
  `start_date` datetime default NULL,
  `end_date` datetime default NULL,
  `status` varchar(70) default NULL,
  `percent_complete` int(11) default NULL,
  `is_finished` tinyint(1) default NULL,
  PRIMARY KEY  (`item_id`),
  KEY `itemId` (`item_id`),
  KEY `brim_tasks_index` (`owner`,`parent_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_temp_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `loginname` varchar(15) NOT NULL default '',
  `password` varchar(50) default NULL,
  `name` varchar(50) default NULL,
  `email` varchar(30) default NULL,
  `description` text,
  `when_created` datetime default NULL,
  `last_login` datetime default NULL,
  `temp_password` varchar(50) default NULL,
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM;
CREATE TABLE `brim_user_preferences` (
  `item_id` int(11) NOT NULL auto_increment,
  `owner` varchar(70) NOT NULL default '',
  `parent_id` int(11) NOT NULL default '0',
  `is_parent` int(11) default '0',
  `name` text NOT NULL,
  `description` text,
  `visibility` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  `is_deleted` int(11) default '0',
  `when_created` datetime default NULL,
  `when_modified` datetime default NULL,
  `value` varchar(50) default NULL,
  PRIMARY KEY  (`item_id`),
  KEY `item_id` (`item_id`)
) TYPE=MyISAM AUTO_INCREMENT=3;
INSERT INTO `brim_user_preferences` VALUES (1,'@@ADMIN_LOGIN@@',0,0,'brimLanguage',NULL,'private',NULL,0,NULL,NULL,'EN'),(2,'@@ADMIN_LOGIN@@',0,0,'brimTemplate',NULL,'private',NULL,0,NULL,NULL,'barrel');
CREATE TABLE `brim_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `loginname` varchar(15) NOT NULL default '',
  `password` varchar(50) default NULL,
  `name` varchar(50) default NULL,
  `email` varchar(30) default NULL,
  `description` text,
  `when_created` datetime default NULL,
  `last_login` datetime default NULL,
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM AUTO_INCREMENT=2;
INSERT INTO `brim_users` VALUES (1,'@@ADMIN_LOGIN@@','@@ADMIN_PASSWD@@','Brim administrator','@@ADMIN_EMAIL@@',NULL,NULL,'2007-04-20 17:08:39');
